var gulp = require('gulp');
var sass = require('gulp-sass');
var browserSync = require('browser-sync').create();
var reload      = browserSync.reload;
var theme = 'themes/trendez/';
var projectname = 'trendezwholesale';

// Static Server + watching scss/html files
gulp.task('serve', ['sass'], function() {

    browserSync.init({
        proxy:  {
            target: "192.168.2.4/" + projectname + "/"
         
        }
    });

    gulp.watch(theme + "/src/scss/*.scss", ['sass']);
    gulp.watch(theme + 'templates/**/*.ss').on('change', browserSync.reload);
    gulp.watch(theme + "javascript/*.js").on("change", reload);
});

// Compile sass into CSS & auto-inject into browsers
gulp.task('sass', function() {
    return gulp.src(theme + "src/scss/*.scss")
        .pipe(sass())
        .pipe(gulp.dest(theme + "css/"))
        .pipe(browserSync.stream());
});

gulp.task('default', ['serve']);