The SilverStripe shop module is a bare-bones product catalog / shopping cart solution.
Add it as a shop component of a website, or use as a full ecommerce website solution.

Customisation is left to the developer, similar to how the SilverStripe CMS is customised.
There is little in the way of online web-interface based configuration, tweaking and setup.
This has been left for the store owner to collaborate with their developer. 

## [Getting Set Up](01_Getting_Set_Up/index.md) < Start Here

* [Installation & Configuration](01_Getting_Set_Up/01_InstallationConfiguration.md) - requirements, instructions
* [Upgrading](01_Getting_Set_Up/02_Upgrading.md)
* [Troubleshooting](01_Getting_Set_Up/03_Troubleshooting.md)
* [Payment](01_Getting_Set_Up/06_Payment.md)
* [Bulk loading products from a CSV spreadsheet](01_Getting_Set_Up/Bulk_Loading.md)
* [Shipping](01_Getting_Set_Up/04_Shipping.md) and [Tax](01_Getting_Set_Up/05_Tax.md) Calculation

## [Customisation](02_Customisation/index.md)

* [Emails](02_Customisation/Emails.md)
* [Order Status Email Notifications](02_Customisation/OrderStatusEmailNotifications.md) - send emails upon order status changes
* [Sub-modules - stock, discounts ...](02_Customisation/Submodules.md)
* [Templates and Theming](02_Customisation/Templates_and_Themes.md)
* [Hooks](02_Customisation/Hooks.md)
* [Recipes](02_Customisation/01_Recipes) - how do build in various features.
* [Migrating To Silverstripe](02_Customisation/Migrating_To_SilverStripe.md)
* [Contributing](02_Customisation/Contributing.md) - get involved with development.  
 * [Testing](02_Customisation/Testing.md) - infrastructure / instructions


## [How it works](03_How_It_Works)

* [Architecture](03_How_It_Works/Architecture.md)
 * [Modifiers](03_How_It_Works/Order_Modifiers.md) - All about modifiers. What they are, and how they work.
 * [Core changes](03_How_It_Works/Core_Changes.md) that have been made to core SS - eg sitetree, etc
 * [Member](03_How_It_Works/Member.md)
 * [Pricing](03_How_It_Works/Pricing.md) for complex pricing structures and [Product Variations](03_How_It_Works/Product_Variations.md) for predefined customisations.
* [Ordering Process](03_How_It_Works/Order_Process.md) - catalogue selection, checkout, payment, account/fulfillment and [Order Modifiers](03_How_It_Works/Order_Modifiers.md) to customise calculations.
* [Shopping Cart](03_How_It_Works/Shopping_Cart.md)
* [Development](03_How_It_Works/Development.md) - Mission/aim, Coding style/conventions, Release process
* [Glossary](03_How_It_Works/Glossary.md)
 
## External Links

* [Demo](http://demo.ss-shop.org/)
* [Project Homepage](http://ss-shop.org/)
* [Forum](https://www.silverstripe.org/community/forums/e-commerce-modules/)