Configuration
=============

## Getting started

It is assumed that at this point a website developer has already set up your website, which contains the SilverStripe eCommerce module.

Note: your website may have some additional configuration and customisation which could affect this documentation.
Consult your website developer to get a complete understanding of any changes that are specific to your website.

Before reading these tutorials you should first get familiar with the SilverStripe Content Management System [user help](http://userhelp.silverstripe.org/).
The SilverStripe Content Management System, which is the back-end interface for updating your website will simply be referred to as the 'CMS'.

### Cataloging your products

It is highly recommended that you create, and use a [Stock Keeping Unit (SKU)](http://en.wikipedia.org/wiki/Stock-keeping_unit) coding scheme to uniquely identify everything that you sell.
This will enable better tracking of products sold, and quick input for search and management of products.

Note SKU might also be referred to as the Product/Internal ID or Code.

### Page types:

 * At least one product
 * Checkout page
 * Account page - if you want members to be able to log in and see their past orders.

 * Cart page - used for viewing cart contents alone.

### Checkout configuration

The checkout page content will show above the checkout page order form.

#### Terms and Conditions

You can choose a 'Terms And Conditions' page. When chosen, a link will show up on the site's checkout page, along with a check-box for the customer to confirm they have read them.

![Choose Terms and Conditions](\images\choose-terms-and-conditions.jpg)

Note: you need to create the terms and conditions page in the page tree first.

#### Messages

You are able to customise the various messages presented to the customer when certain things happen.


##Site Config

You can choose a main product group.