<!DOCTYPE html>
<!--
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Simple. by Sara (saratusar.com, @saratusar) for Innovatif - an awesome Slovenia-based digital agency (innovatif.com/en)
Change it, enhance it and most importantly enjoy it!
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-->

<!--[if !IE]><!-->
<html lang="$ContentLocale">
<!--<![endif]-->
<!--[if IE 6 ]><html lang="$ContentLocale" class="ie ie6"><![endif]-->
<!--[if IE 7 ]><html lang="$ContentLocale" class="ie ie7"><![endif]-->
<!--[if IE 8 ]><html lang="$ContentLocale" class="ie ie8"><![endif]-->
<head>
	<% base_tag %>
	<title><% if $MetaTitle %>$MetaTitle<% else %>$Title<% end_if %> &raquo; $SiteConfig.Title</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	$MetaTags(false)
	<!--[if lt IE 9]>
	<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->

        <link href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="$ThemeDir/fresco/css/fresco/fresco.css" />

        <link rel="stylesheet" type="text/css" href="$ThemeDir/css/main.css?3" />
				<link rel="stylesheet" type="text/css" href="$ThemeDir/css/bulkorderform.css" />
	<link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
        <link rel="icon" type="image/png" href="./favicon-32x32.png" sizes="32x32">
        <link rel="icon" type="image/png" href="./favicon-16x16.png" sizes="16x16">
        <link rel="manifest" href="/manifest.json">
        <link rel="mask-icon" href="/safari-pinned-tab.svg" color="#5bbad5">
        <meta name="theme-color" content="#ffffff">
        <link href='https://fonts.googleapis.com/css?family=Lato:300,300italic,700' rel='stylesheet' type='text/css'>
        <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
</head>
<body class="$ClassName<% if not $Menu(2) %> no-sidebar<% end_if %>" <% if $i18nScriptDirection %>dir="$i18nScriptDirection"<% end_if %>>
<% require javascript('framework/thirdparty/jquery/jquery.js') %>

<header>

    <!-- Pushy Menu -->
<nav class="pushy pushy-right">
    <ul>
        <!-- Submenu -->

        <% loop Menu(1) %>
        <% if Children %>
            <li class="">
                <a href="$Link">$MenuTitle</a>

                <ul>
                    <% loop Children %>
                    <li><a href="$Link?sort=default">$MenuTitle</a></li>
                    <% end_loop %>
                </ul>

            </li>
        <% else %>
            <li>
                <a href="$Link">$MenuTitle</a>
            </li>
        <% end_if %>

        <% end_loop %>

    </ul>
</nav>

<!-- Site Overlay -->
<div class="site-overlay"></div>

<!-- Your Content -->
<div id="container">


    <div class="row">
        <div class="column small-8 medium-3">
            <a href="./"><img class="logo" src="$ThemeDir/images/logo.png" /></a>
        </div>
        <div class="column small-12 medium-9 controls">
            <div class="upper">




                <span>Hi  <% if CurrentMember %>$CurrentMember.FirstName <a class="button" href="account">My Account</a><% else %>Guest, log in to see pricing<% end_if %></span>
                <% if  not CurrentMember %><a href="Security/login?BackURL=./home" class="button">Log in</a><% end_if %>

                <% include TopCart %>

				$SearchForm

            </div>
            <div class="lower">

                <div class="menu-btn">
                    <div></div>
                    <div></div>
                    <div></div>
                </div>

                <div class="menu">
                 <% loop Menu(1) %>

                <% if Children %>
                    <div class="LinkingMode drop" href="#">
                        <a class="dropdown_link" href="$Link?sort=default">$MenuTitle</a>
                        <i class="material-icons">keyboard_arrow_down</i>


                    <div class="dropmenu">
                        <% loop Children %>
                        <a class="LinkingMode" href="$Link?sort=default">$MenuTitle</a>
                        <% end_loop %>
                    </div>

                    </div>
                <% else %>
                    <a class="LinkingMode" href="$Link">$MenuTitle</a>
                <% end_if %>

                <% end_loop %>
                </div>

            </div>
        </div>
    </div>
</header>

<div class="layout">
$Layout
</div>

<footer>
    <div class="row">
        <div class="column">
            <div class="foot-left">
            <span>&copy; Copyright $Now.Year Trendez</span> <a href="terms-conditions">Terms & Conditions</a> <a href="contact">Contact</a> <a href="about">About</a>
            </div>

            <div class="foot-right">
                We accept
                <img src="$ThemeDir/images/visa.png" />
                <img src="$ThemeDir/images/master_card.png" />
            </div>

            </div>
    </div>
</footer>

</div>


<script type="text/javascript" src="{$ThemeDir}/fresco/js/fresco/fresco.js"></script>
<script type="text/javascript" src="{$ThemeDir}/javascript/pushy.min.js"></script>
<script type="text/javascript" src="./ajax/javascript/base.js"></script>
<script type="text/javascript" src="{$ThemeDir}/javascript/script.js?2"></script>

</body>
</html>
